## xmlindent 0.2.17

=== Makefile ===
all: xmlindent

PREFIX=/usr/local
BIN_INSTALL_DIR=$(PREFIX)/bin
MAN_INSTALL_DIR=$(PREFIX)/share/man/man1

xmlindent: indent.c buffer.c main.c
	gcc -Wall -g error.c indent.c buffer.c main.c -o xmlindent -lfl

indent.c: lex.yy.c

lex.yy.c: xmlindent.yy
	flex xmlindent.yy

install: xmlindent
	mkdir -p $(BIN_INSTALL_DIR)
	mkdir -p $(MAN_INSTALL_DIR)
	install -m555 xmlindent $(BIN_INSTALL_DIR)/xmlindent
	install -m444 xmlindent.1 $(MAN_INSTALL_DIR)/xmlindent.1

uninstall:
	rm -f $(BIN_INSTALL_DIR)/xmlindent
	rm -f $(MAN_INSTALL_DIR)/xmlindent.1

clean:
	rm -f xmlindent *.o core lex.yy.c

.PHONY: all clean

=== debian/changelog ===
xmlindent (0.2.17-6) unstable; urgency=medium

  * Allow substituting gcc. Closes: #865758 (hopefully!)
    - Modified makefile.patch
  * Upgraded Standards-Version from 4.1.4 to 4.2.1.2

 -- Miriam Ruiz <miriam@debian.org>  Sat, 13 Oct 2018 05:35:35 +0200

xmlindent (0.2.17-5) unstable; urgency=medium

  * Fixes: aborts after valid input. Closes: #857796
    - Thanks to Michael Stummvoll <michael@stummi.org>
  * Fixes FTCBFS: Closes: #865758
    - Allow substituting gcc.
    - Use dh_auto_build to substitute $(CC).
    - Thanks to Helmut Grohne <helmut@subdivi.de>
  * Fixes: xmlindent abort()s/crashes on invalid XML. Closes: 823315
    - Thanks to Walter Doekes <walter+debian@wjd.nu>
  * Upgraded Standards-Version from 3.9.6 to 4.1.4

 -- Miriam Ruiz <miriam@debian.org>  Tue, 22 May 2018 14:40:32 +0200

xmlindent (0.2.17-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Depends: libfl-dev (Closes: #846458).

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 14 Dec 2016 21:56:42 +0500

xmlindent (0.2.17-4) unstable; urgency=medium

  * Added whitespace.patch to fix issue with whitespaces. Closes: #794113
  * Removed README.Debian and BUGS from the package. Closes: #762183
  * Upgraded Standards-Version from 3.9.3 to 3.9.6

 -- Miriam Ruiz <miriam@debian.org>  Fri, 31 Jul 2015 02:48:09 +0200

xmlindent (0.2.17-3) unstable; urgency=low

  * Upgraded Standards-Version from 3.9.1 to 3.9.3
  * Upgraded debian/compat to 9.
  * Added build-arch and build-indep targets to debian/rules.
  * Modified debian/rules to use fortified libc functions.
    See: http://wiki.debian.org/Hardening
  * Changed my email address in debian/control to miriam@debian.org

 -- Miriam Ruiz <miriam@debian.org>  Fri, 30 Nov 2012 11:43:15 +0100

xmlindent (0.2.17-2) unstable; urgency=low

  * Using source package format "3.0 (quilt)"
  * Upgraded Standards-Version from 3.7.2 to 3.9.1
  * Added to Build-Depends: dh-buildinfo

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 04 Nov 2010 08:06:16 +0100

xmlindent (0.2.17-1) unstable; urgency=low

  * Initial release (Closes: #305878)

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 18 Oct 2006 19:23:18 +0000

=== debian/control ===
Source: xmlindent
Section: devel
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends: debhelper (>= 9), quilt, dh-buildinfo, flex, libfl-dev
Standards-Version: 4.2.1.2
Homepage: http://xmlindent.sourceforge.net/

Package: xmlindent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XML stream reformatter
 XML Indent is a XML stream reformatter written in ANSI C. It is analogous
 to GNU indent.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS2:=-Wl,-z,defs  -Wl,-as-needed -Wl,--no-undefined

configure: configure-stamp
configure-stamp:
	dh_testdir
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
	touch $@

build-stamp: configure-stamp 
	dh_testdir
	dh_auto_build -- \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS) $(LDFLAGS2)"
	touch $@

build-indep: build-stamp

build-arch: build-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xmlindent


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build-arch build-indep build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Find new files on sourceforge, for debscripts >= 2.9
http://sf.net/xmlindent/xmlindent-(.*)\.tar\.gz

## xmlindent 0.2.18

=== Makefile ===
all: xmlindent

PREFIX=/usr/local
DESTDIR=
BIN_INSTALL_DIR=$(PREFIX)/bin
MAN_INSTALL_DIR=$(PREFIX)/share/man/man1
CFLAGS=-Wall -g
LDFLAGS=-Wl,-z,defs -Wl,-as-needed -Wl,--no-undefined

xmlindent: buffer.o error.o indent.o main.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@

.c.o:
	$(CC) $(CFLAGS) $^ -c -o $@

indent.c: lex.yy.c
	touch indent.c

lex.yy.c: xmlindent.yy
	flex xmlindent.yy

install: xmlindent
	mkdir -p $(DESTDIR)$(BIN_INSTALL_DIR)
	mkdir -p $(DESTDIR)$(MAN_INSTALL_DIR)
	install -m555 xmlindent $(DESTDIR)$(BIN_INSTALL_DIR)/xmlindent
	install -m444 xmlindent.1 $(DESTDIR)$(MAN_INSTALL_DIR)/xmlindent.1

uninstall:
	rm -f $(DESTDIR)$(BIN_INSTALL_DIR)/xmlindent
	rm -f $(DESTDIR)$(MAN_INSTALL_DIR)/xmlindent.1

clean:
	rm -f xmlindent *.o core lex.yy.c

.PHONY: all clean install uninstall

=== debian/changelog ===
xmlindent (0.2.18-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Load on Salsa & trigger CI
  * Switch to DebHelper 13, the FTBFS somehow disappears (Closes: #1089208)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 07 Dec 2024 14:51:36 +0100

xmlindent (0.2.18-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.2.18 (Closes: #953779) (LP: #1803309)
  * Remove all patches applied upstream
  * Remove obsolete Build-Depends: dh-buildinfo (Closes: #1088396)
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Fri, 06 Dec 2024 13:41:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Miriam Ruiz <miriam@debian.org>
-Build-Depends: debhelper (>= 9), quilt, dh-buildinfo, flex, libfl-dev
+Build-Depends: debhelper-compat (= 13), flex, libfl-dev
+Rules-Requires-Root: no
 Standards-Version: 4.2.1.2
 Homepage: http://xmlindent.sourceforge.net/
+Vcs-Browser: https://salsa.debian.org/debian/xmlindent
+Vcs-Git: https://salsa.debian.org/debian/xmlindent
 
 Package: xmlindent
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PREFIX=/usr

%:
	dh $@

=== debian/watch ===
version=4
https://github.com/penberg/xmlindent/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
